libnet-duo-perl_1.02-1_all.deb


Advertisement

Description

libnet-duo-perl - Perl API for Duo multifactor authentication service

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename libnet-duo-perl_1.02-1_all.deb
Package name libnet-duo-perl
Package version 1.02
Package release 1
Package architecture all
Package type deb
Category devel::lang:perl devel::library implemented-in::perl perl
Homepage https://www.eyrie.org/~eagle/software/net-duo/
License -
Maintainer Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Download size 91.13 KB
Installed size 244.00 KB
Net::Duo provides an object-oriented Perl interface for the Duo Security
REST APIs.  It attempts to abstract some of the API details and provide
an object-oriented view of the returned objects in order to make use of
the API in Perl code more natural than dealing with JSON data structures
directly.  Currently, some parts of the Auth and Admin APIs are
implemented alongside with generic methods to call any of the JSON-based
APIs.

Alternatives

Package Version Architecture Repository
libnet-duo-perl_1.02-1_all.deb 1.02 all Debian Main
libnet-duo-perl - - -

Requires

Name Value
libjson-perl -
libperl6-slurp-perl -
libsub-install-perl -
liburi-perl -
libwww-perl -
perl -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libnet-duo-perl_1.02-1_all.deb
Source Package libnet-duo-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libnet-duo-perl deb package:
    # sudo apt-get install libnet-duo-perl

Files

Path
/usr/share/doc/libnet-duo-perl/README.gz
/usr/share/doc/libnet-duo-perl/TODO
/usr/share/doc/libnet-duo-perl/changelog.Debian.gz
/usr/share/doc/libnet-duo-perl/changelog.gz
/usr/share/doc/libnet-duo-perl/copyright
/usr/share/man/man3/Net::Duo.3pm.gz
/usr/share/man/man3/Net::Duo::Admin.3pm.gz
/usr/share/man/man3/Net::Duo::Admin::Group.3pm.gz
/usr/share/man/man3/Net::Duo::Admin::Integration.3pm.gz
/usr/share/man/man3/Net::Duo::Admin::Phone.3pm.gz
/usr/share/man/man3/Net::Duo::Admin::Token.3pm.gz
/usr/share/man/man3/Net::Duo::Admin::User.3pm.gz
/usr/share/man/man3/Net::Duo::Auth.3pm.gz
/usr/share/man/man3/Net::Duo::Auth::Async.3pm.gz
/usr/share/man/man3/Net::Duo::Exception.3pm.gz
/usr/share/man/man3/Net::Duo::Mock::Agent.3pm.gz
/usr/share/man/man3/Net::Duo::Object.3pm.gz
/usr/share/perl5/Net/Duo.pm
/usr/share/perl5/Net/Duo/Admin.pm
/usr/share/perl5/Net/Duo/Auth.pm
/usr/share/perl5/Net/Duo/Exception.pm
/usr/share/perl5/Net/Duo/Object.pm
/usr/share/perl5/Net/Duo/Admin/Group.pm
/usr/share/perl5/Net/Duo/Admin/Integration.pm
/usr/share/perl5/Net/Duo/Admin/Phone.pm
/usr/share/perl5/Net/Duo/Admin/Token.pm
/usr/share/perl5/Net/Duo/Admin/User.pm
/usr/share/perl5/Net/Duo/Auth/Async.pm
/usr/share/perl5/Net/Duo/Mock/Agent.pm

Changelog

2019-03-09 - Russ Allbery <rra@debian.org>
libnet-duo-perl (1.02-1) unstable; urgency=medium
* New upstream release.
- Use pagination to retrieve users and integrations via the admin
API.  (Closes: #924127)
* Update to debhelper compatibility level V12.
- Depend on debhelper-compat instead of using debian/compat.
* Update to standards version 4.3.0 (no changes required).
* Stop explicitly setting xz compression in debian/source/options.
* Refresh upstream signing key.
2018-05-07 - Russ Allbery <rra@debian.org>
libnet-duo-perl (1.01-2) unstable; urgency=medium
[ Russ Allbery ]
* Contribute the package to the Debian Perl Group.
- Change Maintainer to the group.
- Add myself to Uploaders.
- Change Vcs-Git and Vcs-Browser to point to the pkg-perl repository.
* Update to debhelper compatibility level V11.
* Update to standards version 4.1.4.
- Use https for debian/copyright URLs.
* Use https for Homepage and debian/watch URL.
* Add Rules-Requires-Root: no.
* Run wrap-and-sort -ast.
* Remove debian/gbp.conf and use the standard pkg-perl branch layout.
* Refresh upstream signing key.
[ Salvatore Bonaccorso ]
* Update Vcs-* headers for switch to salsa.debian.org
2015-08-16 - Russ Allbery <rra@debian.org>
libnet-duo-perl (1.01-1) unstable; urgency=medium
* New upstream release.
- Fixes FTBFS and JSON decoding with JSON::XS 3.0.  (Closes: #795734)
* Prefer *.tar.xz in debian/watch to match packaging.
* Add debian/gbp.conf reflecting the branch layout of the default
packaging repository.
* Refresh upstream signing key.
* Update standards version to 3.9.6 (no changes required).
2014-07-11 - Russ Allbery <rra@debian.org>
libnet-duo-perl (1.00-1) unstable; urgency=medium
* Initial release.  (Closes: #754503)

See Also

Package Description
libnet-easytcp-perl_0.26-4_all.deb Easily create secure, bandwidth-friendly TCP/IP clients and servers
libnet-epp-perl_0.22-1_all.deb module implementing the Extensible Provisioning Protocol
libnet-facebook-oauth2-perl_0.11-1_all.deb simple Perl wrapper around Facebook OAuth v2.0 protocol
libnet-fastcgi-perl_0.14-1_all.deb Perl toolkit to write FastCGI applications
libnet-finger-perl_1.06-6.1_all.deb perl Module providing an API for Finger queries
libnet-frame-device-perl_1.11-1_all.deb module to get network device information
libnet-frame-dump-perl_1.17-1_all.deb base-class for a tcpdump like implementation
libnet-frame-layer-icmpv6-perl_1.10-1_all.deb module for encoding and decoding of the ICMPv6 layer
libnet-frame-layer-ipv6-perl_1.08-1_all.deb module for encoding and decoding of the IPv6 layer
libnet-frame-perl_1.19-1_all.deb framework for crafting raw frames
libnet-frame-simple-perl_1.09-1_all.deb module to make crafting network frames easier
libnet-freedb-perl_0.10-1+b5_i386.deb Perl interface to freedb servers
libnet-github-perl_0.95-1_all.deb Perl interface for GitHub
libnet-gmail-imap-label-perl_0.008-1_all.deb IMAP proxy for Google's Gmail that retrieves message labels
libnet-google-authsub-perl_0.5-2_all.deb module to interact with sites that implement Google style AuthSub
Advertisement
Advertisement